Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class LoadDocument

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.LoadDocument

public final class LoadDocument
extends java.lang.Object

Constructor Summary
`LoadDocument()`

Method Summary
`static NodeIterator` | `document(java.lang.Object arg, java.lang.String xmlURI, java.lang.String xslURI, AbstractTranslet translet, DOM dom)` Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes.
`static NodeIterator` | `document(java.lang.String uri, java.lang.String base, AbstractTranslet translet, DOM dom)` Returns an iterator containing a set of nodes from an XML document loaded by the document() function.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadDocument

    public LoadDocument()

Method Detail

### document

    public static NodeIterator document(java.lang.String uri,
                                        java.lang.String base,
                                        AbstractTranslet translet,
                                        DOM dom)
                                 throws java.lang.Exception

  Returns an iterator containing a set of nodes from an XML document loaded by the document() function.

### document

    public static NodeIterator document(java.lang.Object arg,
                                        java.lang.String xmlURI,
                                        java.lang.String xslURI,
                                        AbstractTranslet translet,
                                        DOM dom)
                                 throws TransletException

  Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes. Builds a union-iterator if several documents are requested.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.